Bug 1211621 - doc: unclear "--yum-cmd" / "--dnf-cmd" options
Summary: doc: unclear "--yum-cmd" / "--dnf-cmd" options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-14 13:00 UTC by Ken Dreyer
Modified: 2015-06-20 21:13 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:50:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Ken Dreyer 2015-04-14 13:00:49 UTC
Description of problem:
The man page describes --yum-cmd and --dnf-cmd, but these configuration options are not clear.

For example, do these configuration options change mock's invocation of /usr/bin/yum to something else entirely (like /usr/bin/yum-deprecated?) Or do they simply append additional arguments onto /usr/bin/yum ?

Does "--dnf-cmd" imply "--dnf"? Or do I have to specify it explicitly?

It would be really nice to provide examples of when and how a user would use these configuration options.

Version-Release number of selected component (if applicable):
mock-1.2.7-1.fc22.noarch

Comment 1 Miroslav Suchý 2015-04-20 15:25:51 UTC
Fixed in
* 90ebb39  clarify "--yum-cmd" / "--dnf-cmd" options [RHBZ#1211621

https://git.fedorahosted.org/cgit/mock.git/commit/?id=90ebb39c8e6ac28c701dd0257616a966dc6d2048

Comment 2 Ken Dreyer 2015-04-20 15:39:26 UTC
Might I offer a couple suggestions?

"Actually it will use binary which is specified"
- "Actually" is unnecessary and sounds awkward
- "it will use binary" should be "it will use the binary"

It's still not clear to me how this relates to the "--yum" or "--dnf" options. For example, does the "--yum-cmd" command override my choice of "--yum" or "--dnf" ? I need to specify "--yum" if I've already specified "--yum-cmd"?

Comment 3 Miroslav Suchý 2015-04-22 11:42:52 UTC
Thanks to the corrections. Applied.
I added some examples and some clarification notes.
Check it here:
https://git.fedorahosted.org/cgit/mock.git/commit/?id=f182e628394b1d4f86317ec91477b0a77de6ce9a

Also please mind difference between command (--yum-cmd) and option (--yum).

Hmm. One more clarification:
https://git.fedorahosted.org/cgit/mock.git/commit/?id=eed8ac633e0d4e69cdf003481ddb34ea3db8d1c2

I hope it is clear now.

Comment 4 Fedora Update System 2015-04-29 13:16:33 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 5 Fedora Update System 2015-04-29 13:16:58 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 6 Fedora Update System 2015-04-29 13:17:47 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 7 Fedora Update System 2015-04-29 13:19:00 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 8 Fedora Update System 2015-04-29 13:25:47 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 9 Fedora Update System 2015-04-29 19:18:42 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-05-01 16:50:46 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-02 18:08:25 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-12 20:47:01 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-06-04 11:42:13 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 14 Fedora Update System 2015-06-04 11:42:28 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 15 Fedora Update System 2015-06-20 21:09:57 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-06-20 21:13:32 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.